﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.SfPdfViewer.XForms;
using Xamarin.Forms;

namespace FreeTextExample
{
    public partial class MainPage : ContentPage
    {
        MainViewModel mainVM = new MainViewModel();

        public MainPage()
        {
            InitializeComponent();
            pdfViewerControl.FreeTextPopupDisappeared += PdfViewerControl_FreeTextPopupDisappeared;
            pdfViewerControl.Toolbar.Enabled = false;
            BindingContext = mainVM;
        }

        void PdfViewerControl_FreeTextPopupDisappeared(object sender, FreeTextPopupDisappearedEventArgs args)
        {
            TopToolbar.IsVisible = true;
            BottomToolbar.IsVisible = true;
            pdfViewerControl.AnnotationMode = AnnotationMode.None;
            mainVM.IsAddTextButtonSelected = false;
        }

        void Handle_FreeTextAnnotationAdded(object sender, Syncfusion.SfPdfViewer.XForms.FreeTextAnnotationAddedEventArgs args)
        {
            TopToolbar.IsVisible = true;
            BottomToolbar.IsVisible = true;
            pdfViewerControl.AnnotationMode = AnnotationMode.None;
            mainVM.IsAddTextButtonSelected = false;
        }

        private void AddTextButton_Clicked(object sender, EventArgs e)
        {
            mainVM.IsAddTextButtonSelected = !mainVM.IsAddTextButtonSelected;
            switch (Device.RuntimePlatform)
            {
                case Device.Android:
                    TopToolbar.IsVisible = false;
                    break;
                default:
                    break;
            }

            if (mainVM.IsAddTextButtonSelected)
            {
                pdfViewerControl.AnnotationMode = AnnotationMode.FreeText;
            }
            else
            {
                pdfViewerControl.AnnotationMode = AnnotationMode.None;
            }
        }
    }
}
